Bug 141176 - sysutils/conky can't build with --enable-lua-cairo
Summary: sysutils/conky can't build with --enable-lua-cairo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-04 22:30 UTC by Gu Xianjie
Modified: 2009-12-18 20:20 UTC (History)
0 users

See Also:


Attachments
conky.diff (5.47 KB, patch)
2009-12-18 18:06 UTC, Nikos Ntarmos
no flags Details | Diff
conky-awesome.diff (430 bytes, patch)
2009-12-18 18:06 UTC, Nikos Ntarmos
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gu Xianjie 2009-12-04 22:30:01 UTC
1. conky should add option --enable-lua-cairo.
2. when i add --enable-lua-cairo into conky's Makefile, it can't build.
3. --enable-lua-cairo request dependency tolua++.
4. conky's configure has many mistakes when --enable-lua-cairo was added.some test case should be rewrited.
./configure --disable-portmon --disable-hddtemp --enable-lua-cairo --disable-audacious --disable-bmpx --enable-lua --enable-imlib2 --enable-xft --disable-mpd --disable-xmms2 --x-libraries=/usr/local/lib --x-includes=/usr/local/include --prefix=/usr/local --mandir=/usr/local/man --infodir=/usr/local/info/ --build=amd64-portbld-freebsd9.0
5. tolua++ in freebsd is tolua++-5.1,but in conky's configure files it was tolua++5.1
Comment 1 Gu Xianjie 2009-12-05 19:00:46 UTC
I read the error log again,i think following patch will fix the bug.



--- work/conky-1.7.2/configure    2009-12-06 02:54:01.011429338 +0800
+++ configure    2009-12-06 02:53:55.051303838 +0800
@@ -15930,7 +15930,7 @@
 
             fi
         fi
-        for ac_prog in tolua++ tolua++5.1
+        for ac_prog in tolua++-5.1
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -16006,7 +16006,7 @@
   return 0;
 }
 _ACEOF
-for ac_lib in '' tolua++ tolua++5.1; do
+for ac_lib in '' tolua++-5.1; do
   if test -z "$ac_lib"; then
     ac_res="none required"
   else


On 2009-12-05£¬FreeBSD-gnats-submit@FreeBSD.org wrote£º
>Thank you very much for your problem report.
>It has the internal identification `ports/141176'.
>The individual assigned to look at your
>report is: freebsd-ports-bugs. 
>
>You can access the state of your problem report at any time
>via this link:
>
>http://www.freebsd.org/cgi/query-pr.cgi?pr=141176
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       conky can't build with --enable-lua-cairo
>>Arrival-Date:   Fri Dec 04 22:30:01 UTC 2009
Comment 2 Edwin Groothuis freebsd_committer 2009-12-06 20:56:39 UTC
Maintainer of sysutils/conky,

Please note that PR ports/141176 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141176

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-12-06 21:03:00 UTC
Maintainer of sysutils/conky,

Please note that PR ports/141176 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141176

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Edwin Groothuis freebsd_committer 2009-12-06 21:03:02 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 5 Nikos Ntarmos 2009-12-16 14:32:25 UTC
It is a bit more complicated than that. I've prepared a comprehensive
patch (some more things changed since the last version) and I'm now
waiting for a tinderbox build to complete. I'll submit it in a day or
two.

Cheers.

\n\n
Comment 6 Nikos Ntarmos 2009-12-18 18:06:23 UTC
Patch attached, along with an accompanying patch for conky-awesome.

Cheers.

\n\n
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2009-12-18 19:41:07 UTC
State Changed
From-To: feedback->open

maintainer has replied with patch.
Comment 8 Pav Lucistnik freebsd_committer 2009-12-18 20:09:12 UTC
State Changed
From-To: open->closed

Maintainer's patches committed
Comment 9 dfilter service freebsd_committer 2009-12-18 20:14:43 UTC
pav         2009-12-18 20:14:35 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/conky       Makefile 
    sysutils/conky/files patch-configure 
    sysutils/conky-awesome Makefile 
  Removed files:
    sysutils/conky/files patch-data-conky_no_x11.conf 
  Log:
  - Add RSS, LUA_CAIRO and LUA_IMLIB2 options
  
  PR:             ports/141176
  Submitted by:   Nikos Ntarmos <ntarmos@cs.uoi.gr> (maintainer)
  
  Revision  Changes    Path
  1.40      +1 -3      ports/sysutils/conky-awesome/Makefile
  1.50      +34 -5     ports/sysutils/conky/Makefile
  1.2       +20 -2     ports/sysutils/conky/files/patch-configure
  1.2       +0 -56     ports/sysutils/conky/files/patch-data-conky_no_x11.conf (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"